Package org.eclipse.graphiti.ui.internal.parts

# Interface IAnchorContainerDelegate

All Superinterfaces:
  `org.eclipse.core.runtime.IAdaptable`, `IFeatureProviderHolder`, `IPictogramElementDelegate`, `IVisualStateHolder`

All Known Implementing Classes:
  `AnchorContainerDelegate`

public interface IAnchorContainerDelegate extends IPictogramElementDelegate
The Interface IAnchorContainerDelegate.

## Method Summary

Modifier and Type
Method
Description
`List<PictogramElement>`
`getModelChildren()`
Gets the model children.

### Methods inherited from interface org.eclipse.core.runtime.IAdaptable

`getAdapter`

### Methods inherited from interface org.eclipse.graphiti.features.IFeatureProviderHolder

`getFeatureProvider`

### Methods inherited from interface org.eclipse.graphiti.ui.internal.parts.IPictogramElementDelegate

`activate, createFigure, deactivate, getConfigurationProvider, getFigureForGraphicsAlgorithm, getMainFiguresFromChildEditparts, getPictogramElement, isValid, refreshDecorators, refreshEditPartsForModelChildrenAndSourceConnections, refreshFigureForEditPart, setForceRefresh`

### Methods inherited from interface org.eclipse.graphiti.platform.ga.IVisualStateHolder

`getVisualState`

## Method Details

### getModelChildren

List<PictogramElement> getModelChildren()
Gets the model children.

Returns:
  the model children